%define debug_package %{nil}

%define module pyopencl

%define __noautoreq libOpenCL.*

Summary:	Python wrapper for OpenCL

Name:		python-%{module}
Version:	2016.1
Release:	2
License:	MIT
Group:		Development/Python
Url:		http://mathema.tician.de/software/pyopencl
Source0:	%{module}-%{version}.tar.gz
BuildRequires:	nvidia-current-cuda-opencl
BuildRequires:	python-cffi
BuildRequires:	python-mako
BuildRequires:	python-numpy-devel
BuildRequires:	python-pytools
BuildRequires:	python-setuptools
BuildRequires:	python-sphinx
BuildRequires:	nvidia-cuda-toolkit-devel
BuildRequires:	nvidia-current-devel
BuildRequires:	pkgconfig(python)
Requires:	nvidia-current-cuda-opencl
ExclusiveArch:	x86_64

%description
PyOpenCL gives you easy, Pythonic access to the OpenCL parallel
computation API. What makes PyOpenCL special?

* Object cleanup tied to lifetime of objects. This idiom, often called
  RAII in C++, makes it much easier to write correct, leak- and
  crash-free code.
* Completeness. PyOpenCL puts the full power of OpenCL’s API at your
  disposal, if you wish. Every obscure get_info() query and all CL
  calls are accessible.
* Automatic Error Checking. All errors are automatically translated
  into Python exceptions.
* Speed. PyOpenCL's base layer is written in C++, so all the niceties
  above are virtually free.
* Helpful Documentation.

This package has been build against NVIDIA's OpenCL implementation.

%files
%doc examples/
%{py_platsitedir}/pyopencl*

#----------------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}

%build
%__python ./configure.py --cl-lib-dir=/usr/lib/nvidia-current,/usr/lib64/nvidia-current
%__python setup.py build

pushd doc/
export PYTHONPATH=`dir -d ../build/lib.linux*`
make PAPER=letter html
find -name .buildinfo | xargs rm -f
popd

%install
PYTHONDONTWRITEBYTECODE= %__python setup.py install --root=%{buildroot}


%changelog

* Wed Feb 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2016.1-2
- (424dbfb) MassBuild#1250: Increase release tag


